Publications

Submit a proposed publication schedule for human approval

POST
/api/projects/{projectId}/publications/{publicationId}/approval-request

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
publicationId*string
Length1 <= length

Request Body

  1. body
expectedDraftRevision*integer
Range1 <= value
proposedScheduledAt*integer
Range0 <= value

Response Body

Response for status 201

application/json
  1. response
request*
Example Request
curl -X POST 'https://postbot.example/api/projects/string/publications/string/approval-request' \
  -H 'Content-Type: application/json' \
  -d '{
  "expectedDraftRevision": 1,
  "proposedScheduledAt": 0
}'
Example Response
{
  "request": {
    "id": "string",
    "projectId": "string",
    "publicationId": "string",
    "targetRevisionId": "string",
    "draftRevision": -9007199254740991,
    "proposedScheduledAt": -9007199254740991,
    "state": "pending",
    "requestedByActorId": "string",
    "decidedByActorId": "string",
    "decidedAt": -9007199254740991,
    "scheduledAt": -9007199254740991,
    "rejectionReason": "string",
    "createdAt": -9007199254740991,
    "updatedAt": -9007199254740991
  }
}

Was this page helpful?